#
# spec file for package kdirstat (Version 0.86)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gettext gpp klibs ksupp libgpp libjpeg libpng libtiff libz qtdevel qtext qtlib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd klibs ksupp less libgpp libjpeg libpng libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qtcompat qtdevel qtext qtlib rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         kdirstat
Copyright:    GPL
Group:        X11/KDE/Utilities
Summary:      Graphical directory statistics for used disk space
Version:      0.86
Release:      320
Source0:      kdirstat-0.86.tar.bz2
Patch0: kdirstat-0.86.dif

%description
KDirStat (for KDE Directory Statistics) is a utility program that sums up
disk usage for direcory trees - very much like the Unix 'du' command.
It also can help you clean up used space.

Authors:
--------
    Stefan Hundhammer <sh@suse.de>

SuSE series: kde

%prep
%setup -n kdirstat-0.86
%patch -p 0 -E

%build
TEST=`grep ^VERSION /etc/SuSE-release | cut "-d " -f 3`
MAJOR=`echo $TEST | cut -d. -f 1`
MINOR=`echo $TEST | cut -d. -f 2 | sed -e "s@[^0-9]@@g"`
VERSION=$(( ${MAJOR}*100 + ${MINOR} ))
if [ "$VERSION" -gt 702 ]; then
 export QTDIR=/usr/lib/qt
 export KDEDIR=/opt/kde
fi
%{?suse_update_config:%{suse_update_config -f . }}
CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 " ./configure \
  --prefix=/opt/kde \
  --with-qt-dir=$QTDIR \
  --with-qt-includes=$QTDIR/include \
  --with-qt-libraries=$QTDIR/lib
touch ./configure --reference=./aclocal.m4
touch ./po/Makefile.in --reference=./aclocal.m4
touch ./Makefile.in --reference=./aclocal.m4
touch ./kdirstat/pics/Makefile.in --reference=./aclocal.m4
touch ./kdirstat/toolbar/Makefile.in --reference=./aclocal.m4
touch ./kdirstat/doc/en/Makefile.in --reference=./aclocal.m4
touch ./kdirstat/doc/de/Makefile.in --reference=./aclocal.m4
touch ./kdirstat/doc/Makefile.in --reference=./aclocal.m4
touch ./kdirstat/Makefile.in --reference=./aclocal.m4
make

%install
make install

%files
%doc COPYING AUTHORS ChangeLog INSTALL README 
%docdir /opt/kde/share/doc
%dir /opt/kde/share/apps/kdirstat
%dir /opt/kde/share/apps/kdirstat/pics
%dir /opt/kde/share/apps/kdirstat/toolbar
%dir /opt/kde/share/doc
%dir /opt/kde/share/doc/HTML
%dir /opt/kde/share/doc/HTML/de
%dir /opt/kde/share/doc/HTML/de/kdirstat
%dir /opt/kde/share/doc/HTML/en
%dir /opt/kde/share/doc/HTML/en/kdirstat
/opt/kde/bin/kdirstat
/opt/kde/share/applnk/Utilities/kdirstat.kdelnk
/opt/kde/share/apps/kdirstat/pics/directory.xpm
/opt/kde/share/apps/kdirstat/pics/dotentry.xpm
/opt/kde/share/apps/kdirstat/pics/file.xpm
/opt/kde/share/apps/kdirstat/pics/lockedfolder.xpm
/opt/kde/share/apps/kdirstat/pics/symlink.xpm
/opt/kde/share/apps/kdirstat/pics/working.xpm
/opt/kde/share/apps/kdirstat/toolbar/compress.xpm
/opt/kde/share/apps/kdirstat/toolbar/contents.xpm
/opt/kde/share/apps/kdirstat/toolbar/exit.xpm
/opt/kde/share/apps/kdirstat/toolbar/kde.xpm
/opt/kde/share/apps/kdirstat/toolbar/kfm.xpm
/opt/kde/share/apps/kdirstat/toolbar/kvt.xpm
/opt/kde/share/apps/kdirstat/toolbar/openurl.xpm
/opt/kde/share/apps/kdirstat/toolbar/refresh.xpm
/opt/kde/share/apps/kdirstat/toolbar/trashbin.xpm
/opt/kde/share/apps/kdirstat/toolbar/up.xpm
/opt/kde/share/doc/HTML/de/kdirstat/index.html
/opt/kde/share/doc/HTML/de/kdirstat/kdirstat-1.html
/opt/kde/share/doc/HTML/de/kdirstat/kdirstat-2.html
/opt/kde/share/doc/HTML/de/kdirstat/kdirstat-3.html
/opt/kde/share/doc/HTML/de/kdirstat/kdirstat-4.html
/opt/kde/share/doc/HTML/de/kdirstat/kdirstat-5.html
/opt/kde/share/doc/HTML/de/kdirstat/kdirstat-6.html
/opt/kde/share/doc/HTML/de/kdirstat/kdirstat-7.html
/opt/kde/share/doc/HTML/de/kdirstat/kdirstat-8.html
/opt/kde/share/doc/HTML/de/kdirstat/kdirstat-9.html
/opt/kde/share/doc/HTML/de/kdirstat/kdirstat.html
/opt/kde/share/doc/HTML/de/kdirstat/logotp3.gif
/opt/kde/share/doc/HTML/de/kdirstat/mainwin.gif
/opt/kde/share/doc/HTML/de/kdirstat/settings-cleanups.gif
/opt/kde/share/doc/HTML/de/kdirstat/settings-tree-colors.gif
/opt/kde/share/doc/HTML/en/kdirstat/index.html
/opt/kde/share/doc/HTML/en/kdirstat/kdirstat-1.html
/opt/kde/share/doc/HTML/en/kdirstat/kdirstat-2.html
/opt/kde/share/doc/HTML/en/kdirstat/kdirstat-3.html
/opt/kde/share/doc/HTML/en/kdirstat/kdirstat-4.html
/opt/kde/share/doc/HTML/en/kdirstat/kdirstat-5.html
/opt/kde/share/doc/HTML/en/kdirstat/kdirstat-6.html
/opt/kde/share/doc/HTML/en/kdirstat/kdirstat-7.html
/opt/kde/share/doc/HTML/en/kdirstat/kdirstat-8.html
/opt/kde/share/doc/HTML/en/kdirstat/kdirstat-9.html
/opt/kde/share/doc/HTML/en/kdirstat/kdirstat.html
/opt/kde/share/doc/HTML/en/kdirstat/logotp3.gif
/opt/kde/share/doc/HTML/en/kdirstat/mainwin.gif
/opt/kde/share/doc/HTML/en/kdirstat/settings-cleanups.gif
/opt/kde/share/doc/HTML/en/kdirstat/settings-tree-colors.gif
/opt/kde/share/icons/kdirstat.xpm
/opt/kde/share/icons/mini/kdirstat.xpm
/opt/kde/share/locale/de/LC_MESSAGES/kdirstat.mo

%changelog -n kdirstat
* Fri Aug 24 2001 - ro@suse.de
- added old KDEDIR and QTDIR to build with 7.3 environment
* Tue Aug 14 2001 - ro@suse.de
- autoconf 2.52 fixes
* Thu May 25 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Thu May 25 2000 - adrian@suse.de
- Spec file created from kdirstat-0.86.tgz by autospec
* Thu May 18 2000 - adrian@suse.de
- fixed file list
  added suse_config_update
* Thu Mar 30 2000 - adrian@suse.de
- delete the kbase from neededforbuild
* Tue Jan 25 2000 - sh@suse.de
- Updated to V0.86
* Wed Jan 19 2000 - kettner@suse.de
- Spec file created from kdirstat-0.85.tgz by autospec
